﻿using System;
using Windows.UI.Xaml.Controls;

namespace Binding_4
{
    public sealed partial class MainPage : Page
    {
        public Person Person { get; set; }

        public MainPage()
        {
            this.InitializeComponent();

            Person = new Person
            {
                Vorname = "Hans",
                Nachname = "Muster",
                Geburtsdatum = new DateTime(1990, 01, 01)
            };
        }
    }


    public class Person
    {
        public string Vorname { get; set; }
        public string Nachname { get; set; }
        public DateTime Geburtsdatum { get; set; }

        public override string ToString()
        {
            return string.Format("Vorname:\t\t{0}\nNachname:\t\t{1}" +
                                 "\nGeburtsdatum:\t{2}",
                                 Vorname, Nachname, Geburtsdatum);
        }
    }
}
