﻿using System;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace Controls_20
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            showFont("Segoe MDL2 Assets");
        }

private void showFont(string fontFamily)
{
    gridView.Items.Clear();

    for (int i = 0xE100; i <= 0xE1E9; i++)
    {
        var appBarButton = new AppBarButton();

                var fontIcon = new FontIcon()
                {
                    FontFamily = new FontFamily(fontFamily),
                    FontSize = 14,
                    Glyph = Convert.ToChar(i).ToString()
                };

                appBarButton.Label = string.Format("Unicode\n&#x{0:x4};", i);
                appBarButton.Icon = fontIcon;

                gridView.Items.Add(appBarButton);
            }
        }

        private void AppBarButton_Click(object sender, RoutedEventArgs e)
        {
            var fontFamily = (sender as AppBarButton).Label;
            showFont(fontFamily);
        }
    }
}
