﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// Die Elementvorlage "Leere Seite" ist unter http://go.microsoft.com/fwlink/?LinkId=234238 dokumentiert.

namespace Navigation_1
{
    /// <summary>
    /// Eine leere Seite, die eigenständig verwendet oder zu der innerhalb eines Rahmens navigiert werden kann.
    /// </summary>
    public sealed partial class Page2 : Page
    {
        public Page2()
        {
            this.InitializeComponent();
        }

        private void nextPage_Click(object sender, RoutedEventArgs e)
        {
            App.Navigate(typeof(Page3), false, "Hallo von Seite 2");
        }

        private void backPage_Click(object sender, RoutedEventArgs e)
        {
            App.Navigate(typeof(MainPage), true, "Hallo von Seite 2");
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            string greetings = (string)e.Parameter;
            info.Text = greetings;
        }
    }
}
