﻿using System;
using Windows.Foundation.Metadata;
using Windows.UI.Notifications;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Maps;

namespace Ansicht_2
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            mapStyle.ItemsSource = Enum.GetNames(typeof(MapStyle));

            //this.SizeChanged += (sender, e) =>
            //{
            //    if (e.NewSize.Height > e.NewSize.Width) // Portrait
            //        VisualStateManager.GoToState(this, "Portrait", true);
            //    else
            //        VisualStateManager.GoToState(this, "Landscape", true);
            //};

            if (ApiInformation.IsTypePresent("Windows.Phone.UI.Input.HardwareButtons"))
            {
                Windows.Phone.UI.Input.HardwareButtons.BackPressed += (s, a) =>
                {
                    var xml = ToastNotificationManager.GetTemplateContent(ToastTemplateType.ToastText01);
                    xml.GetElementsByTagName("text")[0].InnerText = "Byebye von Ansicht_2";

                    var toast = new ToastNotification(xml);
                    ToastNotificationManager.CreateToastNotifier().Show(toast);
                };
            }
        }

        private void mapStyle_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            var style = (MapStyle)Enum.Parse(typeof(MapStyle), (string)mapStyle.SelectedValue);
            map.Style = style;
        }
    }
}
