﻿using Windows.UI.ViewManagement;
using Windows.UI.Xaml;

namespace Ansicht_2
{
    class OrientationTrigger : StateTriggerBase
    {
        public ApplicationViewOrientation Orientation { get; set; }

        public OrientationTrigger()
        {
            Window.Current.SizeChanged += (sender, args) =>
            {
                var isActive = ApplicationView.GetForCurrentView().Orientation == Orientation;
                SetActive(isActive);
            };
        }
    }
}

